%{?nodejs_find_provides_and_requires}

%global packagename spdy
%global enable_tests 1

Name:		nodejs-spdy
Version:	3.4.7
Release:	1%{?dist}
Summary:	Implementation of the SPDY protocol on node.js

License:	MIT
URL:		https://github.com/indutny/node-spdy
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(debug)
BuildRequires:	npm(handle-thing)
BuildRequires:	npm(http-deceiver)
BuildRequires:	npm(safe-buffer)
BuildRequires:	npm(select-hose)
BuildRequires:	npm(spdy-transport)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif


%description
Implementation of the SPDY protocol on node.js.


%prep
%autosetup -n package

tail -n 30 README.md | head -n 25 > LICENSE

%nodejs_fixdep debug

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 3.4.7-1
- Initial packaging
